Package org.springframework.security.core.authority.mapping

# Class MapBasedAttributes2GrantedAuthoritiesMapper

java.lang.Object
org.springframework.security.core.authority.mapping.MapBasedAttributes2GrantedAuthoritiesMapper

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`, `Attributes2GrantedAuthoritiesMapper`, `MappableAttributesRetriever`

public class MapBasedAttributes2GrantedAuthoritiesMapper extends Object implements Attributes2GrantedAuthoritiesMapper, MappableAttributesRetriever, org.springframework.beans.factory.InitializingBean
This class implements the Attributes2GrantedAuthoritiesMapper and MappableAttributesRetriever interfaces based on the supplied Map. It supports both one-to-one and one-to-many mappings. The granted authorities to map to can be supplied either as a String or as a GrantedAuthority object.

## Constructor Summary

Constructors
Constructor
Description
`MapBasedAttributes2GrantedAuthoritiesMapper()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`Map<String,Collection<GrantedAuthority>>`
`getAttributes2grantedAuthoritiesMap()`
`List<GrantedAuthority>`
`getGrantedAuthorities(Collection<String> attributes)`
Map the given array of attributes to Spring Security GrantedAuthorities.
`Set<String>`
`getMappableAttributes()`
Implementations of this method should return a set of all string attributes which can be mapped to `GrantedAuthority`s.
`String`
`getStringSeparator()`
`void`
`setAttributes2grantedAuthoritiesMap(Map<?,?> attributes2grantedAuthoritiesMap)`
`void`
`setStringSeparator(String stringSeparator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapBasedAttributes2GrantedAuthoritiesMapper

public MapBasedAttributes2GrantedAuthoritiesMapper()

## Method Details

### afterPropertiesSet

public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### getGrantedAuthorities

public List<GrantedAuthority> getGrantedAuthorities(Collection<String> attributes)
Map the given array of attributes to Spring Security GrantedAuthorities.

Specified by:
  `getGrantedAuthorities` in interface `Attributes2GrantedAuthoritiesMapper`
Parameters:
  `attributes` - the attributes to be mapped
Returns:
  the collection of authorities created from the attributes

### getAttributes2grantedAuthoritiesMap

public Map<String,Collection<GrantedAuthority>> getAttributes2grantedAuthoritiesMap()

Returns:
  Returns the attributes2grantedAuthoritiesMap.

### setAttributes2grantedAuthoritiesMap

public void setAttributes2grantedAuthoritiesMap(Map<?,?> attributes2grantedAuthoritiesMap)

Parameters:
  `attributes2grantedAuthoritiesMap` - The attributes2grantedAuthoritiesMap to set.

### getMappableAttributes

public Set<String> getMappableAttributes()
Description copied from interface: `MappableAttributesRetriever`
Implementations of this method should return a set of all string attributes which can be mapped to `GrantedAuthority`s.

Specified by:
  `getMappableAttributes` in interface `MappableAttributesRetriever`
Returns:
  set of all mappable roles
See Also:
  - `MappableAttributesRetriever.getMappableAttributes()`

### getStringSeparator

public String getStringSeparator()

Returns:
  Returns the stringSeparator.

### setStringSeparator

public void setStringSeparator(String stringSeparator)

Parameters:
  `stringSeparator` - The stringSeparator to set.